## net.sf.saxon.om
Class InscopeNamespaceResolver

    java.lang.Object
      net.sf.saxon.om.InscopeNamespaceResolver

All Implemented Interfaces:
  NamespaceResolver

    public class InscopeNamespaceResolver

extends Object
implements NamespaceResolver

A NamespaceResolver that resolves namespace prefixes by reference to a node in a document for which those namespaces are in-scope.

Constructor Summary
`InscopeNamespaceResolver(NodeInfo node)`

Method Summary
`NodeInfo` `getNode()` Get the node on which this namespace resolver is based
`String` `getURIForPrefix(String prefix, boolean useDefault)` Get the namespace URI corresponding to a given prefix.
`Iterator` `iteratePrefixes()` Get an iterator over all the prefixes declared in this namespace context.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InscopeNamespaceResolver

    public InscopeNamespaceResolver(NodeInfo node)

Method Detail

### getURIForPrefix

    public String getURIForPrefix(String prefix,
                                  boolean useDefault)

  Get the namespace URI corresponding to a given prefix. Return null if the prefix is not in scope.

  Specified by:
    `getURIForPrefix` in interface `NamespaceResolver`
  Parameters:
    `prefix` - the namespace prefix
    `useDefault` - true if the default namespace is to be used when the prefix is ""
  Returns:
    the uri for the namespace, or null if the prefix is not in scope Return "" for the no-namespace.

### iteratePrefixes

    public Iterator iteratePrefixes()

  Get an iterator over all the prefixes declared in this namespace context. This will include the default namespace (prefix="") and the XML namespace where appropriate

  Specified by:
    `iteratePrefixes` in interface `NamespaceResolver`

### getNode

    public NodeInfo getNode()

  Get the node on which this namespace resolver is based

Copyright (C) Michael H. Kay. All rights reserved.